Documentation forAppOptics

Upgrading

To check if there are updates for the appoptics_apm gem:

  1. Display installed version: gem list appoptics_apm.
  2. Check for the latest version: gem search appoptics_apm --remote.
  3. Upgrade: bundle update appoptics_apm or gem update appoptics_apm.

Check appoptics_apm on RubyGems for the newest version.

See Release Notes for changes.

Upgrading from TraceView

There are three major changes:

  1. The gem is now called appoptics_apm, please make changes accordingly.
  2. The Service Key (API Token) is now configured as an environment variable APPOPTICS_SERVICE_KEY, and not read from a config file anymore.
  3. The class name for the API methods has changed from TraceView::API to AppOpticsAPM::SDK. The SDK methods have been reduced to the methods documented here. Use of log_* methods is discouraged because they can lead to broken traces, but they are still available as AppOpticsAPM::API.log_* methods.

When the APM Integrated Experience is enabled, AppOptics shares a common navigation and settings with the other integrated experiences' products. How you navigate AppOptics and access its features may vary from these instructions. For more information, go to the APM Integrated Experience documentation.